processingLog {oce} | R Documentation

## Add an item to object processingLog

### Description

Add an item to object processingLog

### Usage

    processingLog(x) <- value
    processingLog(h, value="")
    processingLogAppend(h, value="")
    processingLogItem(value="")
    processingLogShow(x)

### Arguments

`h` | an object of `oce-class`, or the `processingLog` slot from such an object.
`value` | a character string describing the action.
`x` | an `oce` object.

### Details

The `processingLog` function is designed for the user to alter the processingLog of an object. The `processingLogItem` function is used internally within the package.

### Value

The updated processingLog.

### Author(s)

Dan Kelley

### Examples

    library(oce)
    data(ctd)
    ctd@metadata$latitude <- ctd@metadata$latitude + 1
    processingLog(ctd) <- "correct the latitude"

[Package oce version 0.9-18 Index]